{% extends "ajax/game/town/town.html.twig" %}
{% block title %}{{'Wätcher'|trans({}, 'game')}}{% endblock %}
{% block content %}
    {% set hour = "now"|date("G") %}
    <div class="row">
        <div class="cell rw-12 town-banner town-banner-door-{% if town.door %}open{% else %}closed{% endif%} time-{{ hour }} {% if conf.isNightTime %}night{% endif %}"></div>
    </div>

    {% embed "ajax/game/town/door_tabs.html.twig" with {'door_section': door_section, 'has_battlement': has_battlement} %}
    {% endembed %}

    <div class="help">
         {% if is_watcher %}
            <p>{{'Hast du schließlich doch Angst Wächter zu sein? Was zögerst du noch:'|trans({}, 'game')}}</p>
            <button class="inline" id="unwatch-button">{{'Ich habe doch zu große Angst...'|trans({}, 'game')}}</button>
        {% else %}
            <p>{{'Auch du musst diese Stadt heute Nacht verteidigen! Tritt in die Wächtergruppe ein! Du möchtest Mitglied der selbstmörd... tapfersten Bürger werden? Was zögerst du noch:'|trans({}, 'game')|raw}}</p>
            <button class="inline" id="watch-button">{{'Ich möchte Wächter werden!'|trans({}, 'game')}}</button>
        {% endif %}
        <p>{{ help_lnk('Die Nachtwächter'|trans({},'help'), 'help', {'name': 'the_watchmen'}) }}</p>
    </div>

    {% if is_watcher %}
    <div class="help">
        {{'Und übrigens, uns erscheint die Idee ganz gut dir noch zu sagen, dass du heute zu einer Wahrscheinlichkeit von {deathChance}% sterben und zu einer Wahrscheinlichkeit von {woundAndTerrorChance}% eine Verwundung oder Angststarre während der Wache erleiden wirst.'|trans({'{deathChance}': deathChance * 100, '{woundAndTerrorChance}': woundAndTerrorChance * 100}, 'game')}}
    </div>
    {% endif %}

    {% if has_counsel %}
        <div class="help">
            {{"Die Anwesenheit des Geistigen Beistands unter den Nachtwächtern gibt ihnen jeweils einen Boost von {counsel} Verteidigung."|trans({counsel: counsel_def}, 'game')}}
        </div>
    {% endif %}

    {% if watchers is not empty %}
        <h5>{{ 'Nachtwächter'|trans({},'game') }}</h5>
        <div class="nightwatch row-table citizens-list">
            <div class="row header">
                <div class="cell padded rw-3"></div>
                <div class="cell padded rw-2"></div>
                <div class="cell padded rw-6">{{ 'Benutzte Waffe'|trans({}, 'game') }}</div>
            </div>
            {% for watcher in watchers %}
            <div class="row small {% if watcher.citizen == me %} me{% endif %}">
            <div class="cell padded rw-3 center ellipsis">
                <a href="#" x-ajax-href="{{ path('town_visit', {id: watcher.citizen.id}) }}">{{watcher.citizen.name}}</a>
                <div class="tooltip normal">{{ watcher.citizen.name }}</div>
            </div>
            <div class="cell padded rw-2 center">{{watcher.def}} <img src="{{ asset('build/images/icons/small_zombie.gif') }}" /></div>
            <div class="cell padded rw-6">
                {% if watcher.citizen == me %}
                    <span>
                        10 <img alt="" src="{{ asset('build/images/icons/small_zombie.gif') }}" /><div class="tooltip">{{'Basisverteidigung'|trans({}, 'game')}}</div>
                    </span>
                    <div class="inline-block">
                        <img src="{{ asset('build/images/professions/' ~ watcher.citizen.profession.icon ~ '.gif') }}" alt="{{ watcher.citizen.profession.label|trans({},'items') }}">
                        <div class="tooltip">
                            {{ watcher.bonusDef }} <img alt="" src="{{ asset('build/images/icons/small_zombie.gif') }}" /> {{ watcher.bonusSurvival * 100 }} <img alt="" src="{{ asset('build/images/icons/small_human.gif') }}" />
                        </div>
                    </div>
                    {% for status in watcher.status %}
                        <div class="inline-block">
                            <img src="{{ asset('build/images/status/status_' ~ status.icon ~ '.gif') }}" alt="{{ status.label|trans({},'items') }}">
                            <div class="tooltip">
                                {{ status.defImpact }} <img alt="" src="{{ asset('build/images/icons/small_zombie.gif') }}" /> {{ -status.deathImpact }} <img alt="" src="{{ asset('build/images/icons/small_human.gif') }}" />
                            </div>
                        </div>
                    {% endfor %}
                    {% for item in watcher.items %}
                        <div class="inline-block">
                            <img src="{{ asset('build/images/item/item_' ~ item.prototype.icon ~ '.gif') }}" alt="{{ item.prototype.label|trans({},'items') }}">
                            <div class="tooltip">
                                {{ item.defImpact }} <img src="{{ asset('build/images/icons/small_zombie.gif') }}" />
                                {% if item.prototype.nightWatchAction.name == 'nw_break' %}<div>{{'Es besteht die Chance das Objekt während des Angriffs zu zerbrechen!'|trans({}, 'game')}}</div>{% endif %}
                                {% if item.prototype.nightWatchAction.name == 'nw_destroy' %}<div>{{'Es besteht die Chance das Objekt während des Angriffs zu verlieren!'|trans({}, 'game')}}</div>{% endif %}
                            </div>
                        </div>
                    {% endfor %}
                    {% if watcher.citizen == me %}<button x-ajax-href="{{path('town_bank')}}">{{'Wähle meine Waffen!'|trans({}, 'game')}}</button>{% endif %}
                {% endif %}
            </div>
        </div>
        {% endfor %}
            <div class="row small total" style="border-bottom: 1px solid #f0d79e;">
                <div class="cell padded rw-8" style="border-bottom: 1px solid transparent;">{{'Gesamtzahl der Zombies, die heute Nacht sterben könnten:'|trans({}, 'game')}}</div>
                <div class="cell padded rw-4" style="border-bottom: 1px solid transparent;">{{'Höchstens {nw_defense}'|trans({nw_defense: total_def},'game') }}</div>
            </div>
        </div>
    {% endif %}
{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        const handleWatch = function(element, action) {
            if (!element) return;
            element.addEventListener('click', function() {
                let txt = "";
                if(action == 'watch')
                    txt = '{{ 'Zur Information: Sobald du Wächter bist, kannst du danach wieder einfacher Bürger werden.'|trans({},'game')|e('js') }}';
                else
                    txt = '{{ 'Achtung: Wenn du jetzt kneifst, werden sich die anderen Bürger ziemlich sicher über dich lustig machen...'|trans({},'game')|e('js') }}'
                if (!confirm(txt))
                    return;
                $.ajax.easySend( '{{ path('town_nightwatch_go_controller') }}', {
                        action: action
                    },
                    function () {
                        $.ajax.load(null, '{{ path('town_nightwatch') }}', true);
                    } );
            });
        };

        handleWatch( document.getElementById('watch-button'), 'watch' );
        handleWatch( document.getElementById('unwatch-button'), 'unwatch' );
    </script>
{% endblock %}
